# Class IOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `EOFException, FileNotFoundException, InterruptedIOException, UnsupportedEncodingException, UTFDataFormatException`

public class IOException extends java.lang.Exception
Signals that an I/O exception of some sort has occurred. This class is the general class of exceptions produced by failed or interrupted I/O operations. Since: JDK1.0, CLDC 1.0 See Also:InputStream, OutputStream

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOException()`
  Constructs an IOException with null as its error detail message.
  `IOException(java.lang.String s)`
  Constructs an IOException with the specified detail message.
  `IOException(java.lang.String s, java.lang.Throwable cause)`
  Constructs an IOException with the specified detail message and cause.
  `IOException(java.lang.Throwable cause)`
  Constructs an IOException with the specified cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IOException

    public IOException()
    Constructs an IOException with null as its error detail message.

  - ### IOException

    public IOException(java.lang.String s)
    Constructs an IOException with the specified detail message. The error message string s can later be retrieved by the method of class java.lang.Throwable. s - the detail message.

  - ### IOException

    public IOException(java.lang.Throwable cause)

    Constructs an IOException with the specified cause.

    ###### Parameters

    - `cause`

  - ### IOException

    public IOException(java.lang.String s, java.lang.Throwable cause)
    Constructs an IOException with the specified detail message and cause. The error message string s can later be retrieved by the method of class java.lang.Throwable. s - the detail message. cause - The cause.